✨ New Gift Cards API Live Now - Beta!
curl --request POST \
--url https://api.gameboost.com/v2/currency-orders/{currencyOrder}/complete \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"currency_offer_id": 123,
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"buyer": {
"id": 123,
"username": "<string>"
},
"rating": {
"id": 123,
"labels": [
"<string>"
],
"rating": 123,
"comment": "<string>",
"created_at": 123,
"updated_at": 123
},
"title": "<string>",
"description": "<string>",
"quantity": 123,
"currency_unit": {
"slug": "<string>",
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"parameters": {},
"status": "pending",
"is_disputed": true,
"dispute_case_id": 123,
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"credentials": {
"uid": 1234567890
},
"completion_proof_url": "<string>",
"price_eur": "<string>",
"price_usd": "<string>",
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"created_at": 123,
"updated_at": 123
},
"message": "<string>",
"action": "<string>"
}Mark the currency order as completed after delivering the currency to the buyer. Buyer will be notified automatically.
curl --request POST \
--url https://api.gameboost.com/v2/currency-orders/{currencyOrder}/complete \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"currency_offer_id": 123,
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"buyer": {
"id": 123,
"username": "<string>"
},
"rating": {
"id": 123,
"labels": [
"<string>"
],
"rating": 123,
"comment": "<string>",
"created_at": 123,
"updated_at": 123
},
"title": "<string>",
"description": "<string>",
"quantity": 123,
"currency_unit": {
"slug": "<string>",
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"parameters": {},
"status": "pending",
"is_disputed": true,
"dispute_case_id": 123,
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"credentials": {
"uid": 1234567890
},
"completion_proof_url": "<string>",
"price_eur": "<string>",
"price_usd": "<string>",
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"created_at": 123,
"updated_at": 123
},
"message": "<string>",
"action": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the currency order. Can be retrieved from the list of currency orders, or from the parent currency offer, or from webhooks.
Was this page helpful?